package com.uas.search.console.b2b;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 系统配置信息
 * 
 * @author sunyj
 * @since 2016年12月13日 上午10:20:54
 */
@Component
public class SystemProperties {

	/**
	 * 每天定时任务时间中的小时
	 */
	@Value("${schedule.daily.time.hour}")
	private int dailyTaskHour;

	/**
	 * 每天定时任务时间中的分钟
	 */
	@Value("${schedule.daily.time.minute}")
	private int dailyTaskMinute;

	/**
	 * 每天定时任务时间中的秒
	 */
	@Value("${schedule.daily.time.second}")
	private int dailyTaskSecond;

	/**
	 * 定时任务是否自动开启
	 */
	@Value("${schedule.auto-start}")
	private boolean taskAutoStart;

	public int getDailyTaskHour() {
		return dailyTaskHour;
	}

	public void setDailyTaskHour(int dailyTaskHour) {
		this.dailyTaskHour = dailyTaskHour;
	}

	public int getDailyTaskMinute() {
		return dailyTaskMinute;
	}

	public void setDailyTaskMinute(int dailyTaskMinute) {
		this.dailyTaskMinute = dailyTaskMinute;
	}

	public int getDailyTaskSecond() {
		return dailyTaskSecond;
	}

	public void setDailyTaskSecond(int dailyTaskSecond) {
		this.dailyTaskSecond = dailyTaskSecond;
	}

	public boolean isTaskAutoStart() {
		return taskAutoStart;
	}

	public void setTaskAutoStart(boolean taskAutoStart) {
		this.taskAutoStart = taskAutoStart;
	}

}
